package model;

import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;
import java.util.Arrays;

import javax.swing.JPasswordField;

/**
 * @author Mickal Martin Nevot
 * 
 * @version 1.2.0
 */
public class PasswordFieldFocusListener implements FocusListener {
	
	protected static String DFL_PASSWORD = "";
	
	protected JPasswordField jPasswordField;
	
	protected String dflText;
	
	public PasswordFieldFocusListener(JPasswordField jPasswordField) {
		this.jPasswordField = jPasswordField;
		this.dflText = DFL_PASSWORD;
	}
	
	public PasswordFieldFocusListener(JPasswordField textField, String dflText) {
		this.jPasswordField = textField;
		this.dflText = dflText;
	}
	
	public void focusGained(FocusEvent e) {
		char[] input = jPasswordField.getPassword();
		
		if (isPasswordCorrect(input, this.dflText)) {
			jPasswordField.setText("");
		}
    }
	
    public void focusLost(FocusEvent e) {
    	char[] input = jPasswordField.getPassword();
    	
    	if (isPasswordCorrect(input, "")) {
			jPasswordField.setText(this.dflText);
		}
    }
    
	private boolean isPasswordCorrect(char[] input, String password) {
	    boolean isCorrect = true;
	    char[] correctPassword = password.toCharArray();

	    if (input.length != correctPassword.length) {
	        isCorrect = false;
	    } else {
	        isCorrect = Arrays.equals(input, correctPassword);
	    }

	    return isCorrect;
	}
}