package view;

import java.awt.GridLayout;

import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

/**
 * Application exemple sur l'affichage d'une image de fond avec Swing.
 * 
 * @author Mickal Martin Nevot
 * 
 * @version 1.2.0
 */
public class JFrameSample3 extends JFrame {

	private static final long serialVersionUID = 1L;
	
	private static final int FRAME_WIDTH = 300;
	private static final int FRAME_HEIGHT = 200;
	
	private static final String BASE_IMG_URI = "img/";  //  @jve:decl-index=0:
	
	private JPanel jContentPane1 = null;

	private JLabel jLabel1 = null;

	/**
	 * This is the default constructor
	 */
	public JFrameSample3() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 */
	private void initialize() {
		this.setTitle("MyJFrameSample3Title"); // On donne un titre  l'application
		this.setSize(FRAME_WIDTH, FRAME_HEIGHT); // On donne une taille  notre fentre
		this.setLocationRelativeTo(null); // On centre la fentre  l'cran
		this.setResizable(false); // On interdit le redimensionnement de la fentre
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); // On dit  l'application de se fermer lors du clic sur la croix
		this.setContentPane(getJContentPane1());
	}
	
	/**
	 * This method initializes this.jContentPane1
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane1() {
		if (this.jContentPane1 == null) {
			this.jContentPane1 = new JPanel();
			this.jContentPane1.setLayout(new GridLayout(1, 1));
			this.jContentPane1.add(getjLabel1(), null);
		}
		return this.jContentPane1;
	}
	
	/**
	 * This method initializes this.jLabel1	
	 * 	
	 * @return javax.swing.JLabel	
	 */
	private JLabel getjLabel1() {
		if (this.jLabel1 == null) {
			this.jLabel1 = new JLabel();
			this.jLabel1.setName("jLabel1");
			// Un label destin  recevoir seulement une image ne doit pas avoir de text...
			this.jLabel1.setText(null);
			
			// Il est impossible d'ajouter une image  un JPanel !
			// Mais il est possible de le faire avec un JLabel grce  sa proprit icon
			// Pour en faire une image de "fond" du JPanel, il faut alors que l'image et le JLabel soient de la mme taille que le JPanel
			this.jLabel1.setIcon(new ImageIcon(getClass().getClassLoader().getResource(BASE_IMG_URI + "java.png")));
		}
		return this.jLabel1;
	}
}